Bug 477918 - gtk+ im-chooser bug causes intermittent failure
gtk+ im-chooser bug causes intermittent failure
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
11
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: i18n
: 484607 (view as bug list)
Depends On:
Blocks: 481098
  Show dependency treegraph
 
Reported: 2008-12-25 07:58 EST by Gong Han
Modified: 2010-05-10 09:51 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-10 09:51:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 567124 None None None Never

  None (edit)
Description Gong Han 2008-12-25 07:58:31 EST
Description of problem:

ibus can't be called in pidgin only if open a QQ protocol chat windows first.

Version-Release number of selected component (if applicable):

iBus 0.1.1.20081023
Pidgin 2.5.2-6.fc10

How reproducible:

In Gnome.

Steps to Reproduce:
1.install ibus, ibus-pinyin
2.open pidgin with a QQ account auto started
3.open a chat window of qq(either Qun or buddy is ok), then focus text box.
4.press key shout cuts for calling ibus pinyin input method.


Actual results:

ibus will not be callable in pidgin, but if you open a msn or any other protocol chat window first, it works.

Expected results:

ibus input method will be callable under any chat window start-up sequence.

Additional info:
Comment 1 Peng Huang 2008-12-25 21:25:34 EST
I also found pidgin has similar problem with SCIM. So I think it is a bug of pidgin.
Comment 2 Gong Han 2008-12-25 22:15:03 EST
(In reply to comment #1)
> I also found pidgin has similar problem with SCIM. So I think it is a bug of
> pidgin.

are you Chinese?

As my experience, this issue doesn't exist in ubuntu 8.04.

but I forget the current version of pidgin in ubuntu LTS.

Chinese:
我在ubuntu下面似乎没有这样的问题。另外,有的时候在xchat这种情况也会发生,只是我还没有找到怎么在xchat上面重现的规律,有的时候有,有的时候没有。 其他的程序目前尚未发现这样的问题。 那么是不是应该向pidgin组报告呢?pidgin 在fc10下面还没有升级到最新的版本,所以不知道他们修复了这个bug没有。
Comment 3 Golita Yue 2009-01-23 00:41:07 EST
install pidgin-2.5.3-1.fc10.i386
can input Chinese by ibus in QQ chat window.
Comment 4 Gong Han 2009-01-23 01:00:19 EST
(In reply to comment #3)
> install pidgin-2.5.3-1.fc10.i386
> can input Chinese by ibus in QQ chat window.

I'm using pidgin-2.5.4-1.fc10.i386

if the message appears first automatically (popup message, such as Qun message and user offline message), the Chinese input method will not be able to be called.

But, If I open a QQ chat window first manually(without any popup offline messages), I can input Chinese. (they fixed this.)
Comment 5 Warren Togami 2009-01-23 01:41:41 EST
I am going to guess that this is an ibus bug, especially if SCIM does not have the same problem.  (Does it?)  Reassigning to ibus, especially since there is no way I will be able to solve this myself.
Comment 6 Jens Petersen 2009-02-16 22:18:33 EST
Comment 1 says the problem also exists with scim.
Comment 3 says an earlier version of pidgin is ok with ibus.

Sounds like pidgin upstream should look at this?
Comment 7 Warren Togami 2009-02-16 23:12:32 EST
There is no way I personally will be useful on this bug.
Comment 8 Jens Petersen 2009-02-17 04:10:09 EST
(In reply to comment #7)
> There is no way I personally will be useful on this bug.

OK, but do you agree it is a pidgin regression?
Comment 9 Jens Petersen 2009-03-05 01:09:36 EST
Warren, can you ask upstream about it, please?
Comment 10 Jens Petersen 2009-03-05 01:27:21 EST
Gong Han, could you also confirm same problem exists with scim?
Comment 11 Warren Togami 2009-03-24 11:18:53 EDT
Are you sure this problem is unique to pidgin?  Sometimes ibus fails to work in specific applications like gnome-terminal or tomboy, while ALT-TAB to another application it works fine.
Comment 12 Warren Togami 2009-03-24 12:31:28 EDT
*** Bug 484607 has been marked as a duplicate of this bug. ***
Comment 13 Gong Han 2009-03-25 00:14:40 EDT
(In reply to comment #11)
> Are you sure this problem is unique to pidgin?  Sometimes ibus fails to work in
> specific applications like gnome-terminal or tomboy, while ALT-TAB to another
> application it works fine.  

I haven't installed SCIM, however, sometimes but seldom, the same problem occurs in every program which requires inputting. more over, especially, the issue happens only regularly on pidgin that I had concluded the re-procedures.
Comment 14 Peng Huang 2009-03-25 03:52:34 EDT
Hi Gong Han,

Please try use 'GTK_IM_MODULE=ibus pidgin' to execute pidgin in gnome-terminal. And tell me if it can fix your problem?
Comment 15 Gong Han 2009-03-25 06:24:46 EDT
(In reply to comment #14)
> Hi Gong Han,
> 
> Please try use 'GTK_IM_MODULE=ibus pidgin' to execute pidgin in gnome-terminal.
> And tell me if it can fix your problem?  

Hi Huang Peng,

   The issue is fixed by executing 'GTK_IM_MODULE=ibus pidgin'.
Comment 16 Peng Huang 2009-03-25 07:26:32 EDT
Hi Tagoh-san,

Do you have any idea why pidgin does not choice right im module? Is this bug related im-settings, gtk or in pidgin self?
Comment 17 Akira TAGOH 2009-03-25 08:46:55 EDT
That would be related to gtk+ bug. See http://bugzilla.gnome.org/show_bug.cgi?id=567124.
Comment 18 Peng Huang 2009-03-25 23:13:54 EDT
Thanks Tagoh-san. Change the component to gtk+
Comment 19 Akira TAGOH 2009-03-26 00:52:45 EDT
correct component.
Comment 20 Bug Zapper 2009-11-18 04:08:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Akira TAGOH 2009-11-18 04:51:33 EST
This upstream issue has been fixed and shipped in F-12, but still happens in F-11.

Matthias, can you backport the patch for F-11 updates?
Comment 22 Bug Zapper 2010-04-27 08:37:46 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Matthias Clasen 2010-05-10 09:51:26 EDT
not going to backport to f11 at this point, sorry.

Note You need to log in before you can comment on or make changes to this bug.